#!/bin/sh

# version 0.3
# Upgrade both or only local unit
BOTH_OR_LOCAL=$1

# Loading the firmware into the buffer
/usr/bin/cli_fw_load_package -f /tmp/firmware.cpio

RETURN_PROM=$?
if [ "$RETURN_PROM" -ne 0 ]; then
	echo "Loading firmware package into the buffer failed, see logs for more details" > /tmp/fw_update.log
	exit 99
fi

#sleep 10

# Uploading the firmware into the peer station
if [ "$BOTH_OR_LOCAL" = "b" ]; then
	/usr/bin/cli_fw_upload2peer
	RETURN_PROM=$?
	if [ "$RETURN_PROM" -ne 0 ]; then
		echo "Uploading the firmware into the peer station failed, see logs for more details" >> /tmp/fw_update.log
		exit 99
	fi
fi

#sleep 10

# upgrading local or both stations
/usr/bin/cli_fw_upgrade -t $BOTH_OR_LOCAL

RETURN_PROM=$?
if [ "$RETURN_PROM" -ne 0 ]; then
	echo "The start procedure for upgrading the station firmware failed, see logs for more details, code $RETURN_PROM" >> /tmp/fw_update.log
	exit 99
fi

exit 0

